Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PortalState

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public interface PortalState

Interface `PortalState` represents the dynamic view of a portal by a portal user. After all appropriate personalizations, attributes and entitlements have been considered for the portal view then a `PortalState` will be generated.

Method Summary
`PageState` | `getCurrentPageState()` Deprecated. Method `getCurrentPageState` returns the `PageState` for the current page.
`String` | `getDescription()` Deprecated. Method `getDescription` retrieves the description of this portal as defined by the EBCC.
`String` | `getDisplayName()` Deprecated. Method `getDisplayName` retrieves the personalized display name of the associated portal.
`List` | `getLayouts()` Deprecated. Method `getLayouts` returns a `List` of `LayoutIdentifier` objects for the layouts available for selection in this portal.
`int` | `getNavBarOrientation()` Deprecated. Method `getNavBarOrientation` retrieves the currently selected navigation bar orientation for the associated user.
`PageState` | `getPageState(PageIdentifier pageId)` Deprecated. Method `getPageState` retrieves the state of the page specified for the current user.
`Iterator` | `getPageStates()` Deprecated. Method `getPageStates` retrieves the state of all pages which are visible to the current user.
`PortalIdentifier` | `getPortalIdentifier()` Deprecated. Method `getPortalIdentifier` retrieves the identifier of the portal that this object is the state of.
`Portlet` | `getPortlet(PortletIdentifier portletId)` Deprecated. Method `getPortlet` returns the `Portlet` requested by identifier.
`List` | `getPortlets()` Deprecated. Method `getPortlets` returns a `List` of `Portlet` objects for the portlets available in this portal.
`List` | `getPropertySets()` Deprecated. Method `getPropertySets` returns a `List` of `String` objects specifying the property sets to be made available to this portal.
`SkinDefinition` | `getSelectedSkin()` Deprecated. Method `getSelectedSkin` returns the selected skin for this user.
`SkinIdentifier` | `getSkin()` Deprecated. Method `getSkin` retrieves the currently selected skin for the associated user.
`SkinDefinition` | `getSkin(SkinIdentifier skinId)` Deprecated. Method `getSkin` returns the `SkinDefinition` requested by identifier.
`List` | `getSkins()` Deprecated. Method `getSkins` returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal.
`String` | `getUrl(int urlType)` Deprecated. Method `getUrl` returns a `String` URL for the URL type specified.
`String` | `getWebflowNamespace()` Deprecated. Method `getWebflowNamespace` returns the Webflow namespace to use for the portal navigation.

Method Detail

### getPortalIdentifier

    public PortalIdentifier getPortalIdentifier()

  Deprecated.
  Method `getPortalIdentifier` retrieves the identifier of the portal that this object is the state of.

  Returns:
    A value of type `PortalIdentifier` used to specify the portal that this object is the state of.

### getDisplayName

    public String getDisplayName()

  Deprecated.
  Method `getDisplayName` retrieves the personalized display name of the associated portal. This data is personalized to the associated user at group scope.

  Returns:
    A value of type `String` used to describe the portal to the associated user.

### getSkin

    public SkinIdentifier getSkin()

  Deprecated.
  Method `getSkin` retrieves the currently selected skin for the associated user. This data is personalized to the associated user at user scope.

  Returns:
    A value of type `SkinIdentifier` used to specify the currently selected skin for the associated user.

### getNavBarOrientation

    public int getNavBarOrientation()

  Deprecated.
  Method `getNavBarOrientation` retrieves the currently selected navigation bar orientation for the associated user. This data is personalized to the associated user at user scope.

  Returns:
    A value of type `int` used to specify the currently selected navigation bar orientation for the associated user. Allowed values: Portal.NAVBAR_ORIENTATION_UNSPECIFIED, Portal.NAVBAR_ORIENTATION_VERTICAL, Portal.NAVBAR_ORIENTATION_HORIZONTAL.

### getDescription

    public String getDescription()

  Deprecated.
  Method `getDescription` retrieves the description of this portal as defined by the EBCC.

  Returns:
    A value of type `String` used to describe the portal.

### getWebflowNamespace

    public String getWebflowNamespace()

  Deprecated.
  Method `getWebflowNamespace` returns the Webflow namespace to use for the portal navigation.

  Returns:
    a Webflow namespace for portal navigation.

### getUrl

    public String getUrl(int urlType)

  Deprecated.
  Method `getUrl` returns a `String` URL for the URL type specified. Valid values are:

  `Portal.URL_CONTENT` `Portal.URL_HEADER` `Portal.URL_FOOTER` `Portal.URL_SUSPENDED` `Portal.URL_NAVBAR_VERTICAL` `Portal.URL_NAVBAR_HORIZONTAL` `Portal.URL_START_PAGE`

  Parameters:
    `urlType` - a constant specifying the URL type required.
  Returns:
    the URL defined for the type specified.

### getPortlet

    public Portlet getPortlet(PortletIdentifier portletId)

  Deprecated.
  Method `getPortlet` returns the `Portlet` requested by identifier.

  Parameters:
    `portletId` - identifier for portlet required.
  Returns:
    the portlet definition requested.
  Throws:
    `IllegalArgumentException` - if portlet is not defined.

### getPortlets

    public List getPortlets()

  Deprecated.
  Method `getPortlets` returns a `List` of `Portlet` objects for the portlets available in this portal.

  Note: This is the set of portlets available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of portlets available in this portal.

### getLayouts

    public List getLayouts()

  Deprecated.
  Method `getLayouts` returns a `List` of `LayoutIdentifier` objects for the layouts available for selection in this portal.

  Note: This is the union of all the sets of layouts available on each page and not necessarily the list an end user will see.

  Returns:
    the set of layouts available in this portal.

### getSelectedSkin

    public SkinDefinition getSelectedSkin()

  Deprecated.
  Method `getSelectedSkin` returns the selected skin for this user.

  Returns:
    the selected skin for this user.

### getSkin

    public SkinDefinition getSkin(SkinIdentifier skinId)

  Deprecated.
  Method `getSkin` returns the `SkinDefinition` requested by identifier.

  Parameters:
    `skinId` - identifier for skin required.
  Returns:
    the skin definition requested.
  Throws:
    `IllegalArgumentException` - if skin is not defined.

### getSkins

    public List getSkins()

  Deprecated.
  Method `getSkins` returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal.

  Note: This is the set of skins available for group administrators to select from, as defined in the EBCC, and not necessarily the list an end user will see.

  Returns:
    the set of skins available in this portal.

### getPropertySets

    public List getPropertySets()

  Deprecated.
  Method `getPropertySets` returns a `List` of `String` objects specifying the property sets to be made available to this portal.

  Returns:
    property set names for this portal.

### getCurrentPageState

    public PageState getCurrentPageState()

  Deprecated.
  Method `getCurrentPageState` returns the `PageState` for the current page.

  Returns:
    page state for current page.

### getPageState

    public PageState getPageState(PageIdentifier pageId)

  Deprecated.
  Method `getPageState` retrieves the state of the page specified for the current user.

  Parameters:
    `pageId` - A parameter of type `PageIdentifier` used to specify the page for which state is required.
  Returns:
    A value of type `PageState` representing the state of the page specified.

### getPageStates

    public Iterator getPageStates()

  Deprecated.
  Method `getPageStates` retrieves the state of all pages which are visible to the current user.

  Returns:
    An `Iterator` over a set of objects of type `PageState` representing the state of all visible page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved